aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/release/relnotes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/release/relnotes.sh')
-rwxr-xr-xscripts/release/relnotes.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/release/relnotes.sh b/scripts/release/relnotes.sh
index 1f2493bf34..e72d3d42e8 100755
--- a/scripts/release/relnotes.sh
+++ b/scripts/release/relnotes.sh
@@ -61,12 +61,12 @@ function get_release_notes_commits() {
shift
local cherry_picks="$@"
local rollback_commits=$(git log --oneline -E --grep='^Rollback of commit [a-z0-9]+.$' ${baseline}.. \
- | grep -E '^[a-z0-9]+ Rollback of commit [a-z0-9]+.$')
+ | grep -E '^[a-z0-9]+ Rollback of commit [a-z0-9]+.$' || true)
local rollback_hashes=$(echo "$rollback_commits" | cut -d " " -f 1)
local rolledback_hashes=$(echo "$rollback_commits" | cut -d " " -f 5 | sed -E 's/^(.......).*$/\1/')
local exclude_hashes=$(echo $cherry_picks $rollback_hashes $rolledback_hashes | xargs echo | sed 's/ /|/g')
git log --reverse --pretty=format:%H ${baseline}.. -E --grep='^RELNOTES(\[[^\]+\])?:' \
- | grep -Ev "^(${exclude_hashes})"
+ | grep -Ev "^(${exclude_hashes})" || true
}
# Extract the release note from a commit hash ($1). It extracts